%define upstream_name    Tie-Watch
%define upstream_version 1.301

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Place watchpoints on Perl variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module binds one or more subroutines of your devising to a Perl variable.
With Tie::Watch one can:
- alter a variable's value
- prevent a variable's value from being changed
- invoke a Perl/Tk callback when a variable changes
- trace references to a variable

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%__make

%install
%makeinstall_std

%files
%doc META.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/Tie/


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.301.0-8pclos2017
- rebuild against updates

